Subject: Re: linux-next: build failure after merge of the fsinfo tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 May 2020 00:14:12 +1000

Hi Masahiro,

On Tue, 12 May 2020 23:00:13 +0900 Masahiro Yamada <[email-masked]> wrote:
>
> I also failed to build it, but the error message
> was different.
> 
> The following worked for me at least.
> (Ubuntu 20.04).
> 
> diff --git a/samples/vfs/Makefile b/samples/vfs/Makefile
> index 97e54c8be358..539fb3a56af3 100644
> --- a/samples/vfs/Makefile
> +++ b/samples/vfs/Makefile
> @@ -1,7 +1,8 @@
>  # SPDX-License-Identifier: GPL-2.0-only
> -userprogs := test-fsmount test-mntinfo test-statx
> +userprogs := test-fsinfo test-fsmount test-mntinfo test-statx
>  always-y := $(userprogs)
> 
>  userccflags += -I usr/include
> 
> -test-fsinfo-userldflags += -static -lm
> +test-fsinfo-userldflags := -static
> +test-fsinfo-userldlibs := -lm

Thanks, I will change the merge resolution to that.
-- 
Cheers,
Stephen Rothwell